get
https://{environment}.neomode.com.br/management/catalog/products
Retrieves all the products of a seller.
Use the "QueryParams" to filter the products in your search. It is mandatory to inform the parameter "page" and "perPage in the query.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Fields retrieved:
| Campo | Tipo | Descrição |
|---|---|---|
| page | Int | Number of the page searched. |
| perPage | Int | Number of items per page. |
| maxCount | Int | Total of items searched. |
| maxPage | Int | Total number of pages. |
| products | Object Array | Product object array. |
| id | Guid | Product's Id. |
| name | String | Product's name. |
| code | String | Product's code. |
| hasStock | Boolean | If the product has any sku with stock. |
| hasPrice | Boolean | If the product has prices defined. |
| isActive | Boolean | If the product is active or not. |
| isAvailable | Boolean | If the product is available for sale. |
